% Recursive Filtering and Estimation, Spring 2010
% Exercise class, 17.03.10
%
% Example "sampling of a joint PDF"
% Random number generator, implementation 2
%
% Sebastian Trimpe, strimpe(at)ethz.ch

function sample = jointPDF2()

% random number generator (uniform distribution)
u1 = rand;
u2 = rand;

% discrete R.V. x:
if u1<=0.5
    xs = 0;
else
    xs = 1;
end;

% continuous R.V.; xs is fixed
if xs==0
    ys = 1-sqrt(1-u2);
else
    ys = sqrt(u2);
end;

sample = [xs,ys];